import 'package:json_annotation/json_annotation.dart';

part 'admin.g.dart';

// This is the model for the stripped down user subset thats included in the activity report response

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class Admin {
  Admin(this.id);

  int id;
  String? name;
  String? firstName;
  String? lastName;

  factory Admin.fromJson(Map<String, dynamic> json) => _$AdminFromJson(json);
  Map<String, dynamic> toJson() => _$AdminToJson(this);
}
