import 'package:json_annotation/json_annotation.dart';

part 'assignment.g.dart';

// This model represents an assignment to an asset, a location or a user

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class Assignment {
  Assignment(this.id);

  int id;
  String? type;
  String? name;

  factory Assignment.fromJson(Map<String, dynamic> json) =>
      _$AssignmentFromJson(json);
  Map<String, dynamic> toJson() => _$AssignmentToJson(this);
}
