import 'package:json_annotation/json_annotation.dart';

part 'available_actions.g.dart';
// This model represents all actions that can be done by this user

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class AvailableActions {
  AvailableActions(this.checkout, this.checkin, this.clone, this.restore,
      this.update, this.delete);

  bool checkout;
  bool checkin;
  bool clone;
  bool restore;
  bool update;
  bool delete;

  factory AvailableActions.fromJson(Map<String, dynamic> json) =>
      _$AvailableActionsFromJson(json);
  Map<String, dynamic> toJson() => _$AvailableActionsToJson(this);
}
