import 'package:json_annotation/json_annotation.dart';

part 'login_user.g.dart';

// This is the model to get a scanner user list fromt the specified json file
// it contains the a name for the user (which does not need to be equal to the snipe username) and a weakly encrypted api token

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class LoginUser {
  LoginUser(this.name, this.token);

  String name;
  String token;

  factory LoginUser.fromJson(Map<String, dynamic> json) =>
      _$LoginUserFromJson(json);
  Map<String, dynamic> toJson() => _$LoginUserToJson(this);
}
