import 'package:json_annotation/json_annotation.dart';

part 'response_status.g.dart';

// This model represents a response status, also containing the data for successful requests

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class ResponseStatus {
  ResponseStatus(this.status, this.messages);

  String status;
  String messages;
  Map<String, dynamic>? payload;

  factory ResponseStatus.fromJson(Map<String, dynamic> json) =>
      _$ResponseStatusFromJson(json);
  Map<String, dynamic> toJson() => _$ResponseStatusToJson(this);
}
