import 'package:json_annotation/json_annotation.dart';

part 'status_label.g.dart';

// This model represents a status label

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class StatusLabel {
  StatusLabel(this.id, this.name);

  int id;
  String name;
  String? statusType;
  String? statusMeta;

  factory StatusLabel.fromJson(Map<String, dynamic> json) =>
      _$StatusLabelFromJson(json);
  Map<String, dynamic> toJson() => _$StatusLabelToJson(this);
}
