import 'package:json_annotation/json_annotation.dart';

part 'asset_model.g.dart';

// This model represents an asset

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class AssetModel {
  AssetModel(this.id, this.name);

  int id;
  String name;

  factory AssetModel.fromJson(Map<String, dynamic> json) =>
      _$AssetModelFromJson(json);
  Map<String, dynamic> toJson() => _$AssetModelToJson(this);
}
