import 'package:json_annotation/json_annotation.dart';

part 'date.g.dart';

// This model represents the date objects that are contained in several responses

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class Date {
  Date(this.datetime, this.formatted);

  String datetime;
  String formatted;

  factory Date.fromJson(Map<String, dynamic> json) => _$DateFromJson(json);
  Map<String, dynamic> toJson() => _$DateToJson(this);
}
